Bug 164743 - 'X specifies multiple packages' could be more helpful
'X specifies multiple packages' could be more helpful
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-31 07:25 EDT by Ed Avis
Modified: 2008-09-18 03:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:10:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Avis 2005-07-31 07:25:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; rv:1.7.3) Gecko/20041020 Firefox/0.10.1

Description of problem:
Sometimes rpm complains that the package name you gave on the command line is ambiguous, when two packages of the same name are installed.  For example

% rpm --test --erase glibc --nodeps
error: "glibc" specifies multiple packages

It would be more helpful to list the packages it specifies, e.g.

error: "glibc" specifies multiple packages:
  glibc-2.3.5-10.x86_64
  glibc-2.3.5-10.i386

This makes it clear how you can specify which one you want.

Version-Release number of selected component (if applicable):
rpm-4.4.1-22

How reproducible:
Always

Steps to Reproduce:
1. rpm command line as in the description
2.
3.
  

Actual Results:  'specifies multiple packages' error

Expected Results:  I would like it to give the error but also a list of packages that matched.

Additional info:
Comment 1 Christian Iseli 2007-01-22 06:45:21 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Ed Avis 2007-01-26 05:29:20 EST
I believe this bug report relates to rpm itself and not to Fedora.  In the old
days the 'upstream' bug tracker for rpm was on Red Hat's bugzilla.  There was
some discussion about finding a new home for rpm development, and I don't know
what is the right place to report rpm bugs now.

Nonetheless, I will check that I can reproduce this on FC6.
Comment 3 Ed Avis 2007-04-19 17:55:37 EDT
Confirmed reproducible on FC7 test 2.

Note, this is intended to be a bug against rpm.  If Red Hat's bugzilla database
is no longer the right place for these (as it used to be in the old days when
jbj was maintaining rpm) then please point me to the correct upstream location
for reporting rpm bugs.
Comment 4 Michael Jennings (KainX) 2007-04-19 22:14:41 EDT
Don't worry; jbj still watches this Bugzilla.  You didn't include a patch,
though, so maybe he's got higher priority work at the moment.

I like the RFE though.

++
Comment 5 Red Hat Bugzilla 2007-08-21 01:20:36 EDT
User pnasrat@redhat.com's account has been closed
Comment 6 Panu Matilainen 2007-08-22 02:33:46 EDT
Reassigning to owner after bugzilla made a mess, sorry about the noise...
Comment 7 Panu Matilainen 2007-10-25 09:37:34 EDT
Moving to devel as FC4 is very much EOL
Comment 8 Ed Avis 2008-03-04 10:54:21 EST
Updating version to Fedora 7 as per comment #3.
Comment 9 Bug Zapper 2008-05-14 07:57:51 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2008-06-16 21:10:48 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Panu Matilainen 2008-09-18 03:33:09 EDT
FWIW, this got just fixed upstream while fixing something else in the surrounding code.

Note You need to log in before you can comment on or make changes to this bug.